### Class

# WebKit2 WebsitePolicies

#### Description [src]

    class WebKit2.WebsitePolicies : GObject.Object {
      parent: GObject
    }

View specific website policies.

WebKitWebsitePolicies allows you to configure per-page policies, currently only autoplay policies are supported.

Available since: | 2.30

#### Ancestors

- GObject

#### Constructors

###### webkit_website_policies_new

Create a new `WebKitWebsitePolicies`.

Available since: 2.30

###### webkit_website_policies_new_with_policies

Create a new `WebKitWebsitePolicies` with given policies.

Available since: 2.30

#### Instance methods

###### webkit_website_policies_get_autoplay_policy

Get the `WebKitWebsitePolicies:autoplay` property.

Available since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.WebsitePolicies:autoplay

The `WebKitAutoplayPolicy` of `WebKitWebsitePolicies`.

Available since: 2.30

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebsitePoliciesClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_webkit_reserved0`

    void (* _webkit_reserved0) (
    void
      )

| No description available.

`_webkit_reserved1`

    void (* _webkit_reserved1) (
    void
      )

| No description available.

`_webkit_reserved2`

    void (* _webkit_reserved2) (
    void
      )

| No description available.

`_webkit_reserved3`

    void (* _webkit_reserved3) (
    void
      )

| No description available.